LAYMGR1 : dialog { key = lm_ttl1;                //..Main Menu

      : row {
        : concatenation {
          : text_part { label = "Current Layer: "; }
          : text_part { key = cur_lay; width = 30; }
      } }

      : button { key = dwg_ini;  label = "Drawing Initialization"; }

      : row {
        : button { key = bld_inf;  label = "Building Information"; }
        : button { key = dwg_inf;  label = "Drawing Information "; }
      }

      : concatenation {
        : text_part { label = "  Major Group:  " ; }
        : text_part { key = maj_grp; width = 30; }
      }

      : row {
        : concatenation {
          : text_part { label = " Floor Number:  " ; }
          : text_part { key = flr_num; width = 15; }
        }
        : concatenation {
          : text_part { label = " Drawing Scale:  "; }
          : text_part { key = dwg_scl; width = 15; }
      } }

      : row {
        : concatenation {
          : text_part { label = " Construction:  "; }
          : text_part { key = cns_typ; width = 15; }
        }
        : concatenation {
          : text_part { label = " Scale Factor:  "; }
          : text_part { key = scl_fct; width = 15; }
      } }
      spacer_1;

      : row {
        : button { key = chk_lay; label = " Check "; }
        : button { key = ren_lay; label = "Rename  "; }
        : button { key = sav_lay; label = " Save   "; }
        : button { key = rst_lay; label = Restore; }
      }

      : row {
        : button { key = off_lay; label = "  Off "; }
        : button { key =  on_lay; label = "  On "; }
        : button { key = cnt_lay; label = "Control"; }
        : button { key = frz_lay; label = Freeze; }
        : button { key = thw_lay; label = "Thaw "; }
      }

      : boxed_row { label = "...by Entity Selection";
        : button { key = off_ent; label = Off; }
        : button { key = frz_ent; label = Freeze; }
        : button { key = chg_cns; label = Construction; }
        : button { key = chg_ent; label = Change; }
        : button { key = set_ent; label = Set; }
      }

      ok_only;
}

LAYMGR2 : dialog { key = lm_ttl2; width = 30;    //..Initialize Drawing

      : radio_row { key = lm2_rr1; label = "Major Group";
        : radio_column { key = lm2_rc1;
            : radio_button { key = lm2_rb1; label = "Architectural"; }
            : radio_button { key = lm2_rb2; label = "Structural"; }
            : radio_button { key = lm2_rb3; label = "Mechanical"; }
            : radio_button { key = lm2_rb4; label = "Plumbing"; }
        }
        : radio_column { key = lm2_rc2;
            : radio_button { key = lm2_rb5; label = "Fire Protection"; }
            : radio_button { key = lm2_rb6; label = "Electrical"; }
            : radio_button { key = lm2_rb7; label = "Civil Engineering & Site"; }
            : radio_button { key = lm2_rb8; label = "Landscape Architecture"; }
        }
      }

      spacer_1;
      : text { key = lm2_tx1; label = "Floor"; }
      : slider { key = lm2_sl1; min_value = 0;
                                max_value = 99; }

      : row {
        : radio_column { key = lm2_rc3; label = "Construction";
          : radio_button { key = lm2_rb9; label = "New"; }
          : radio_button { key = lm2_r10; label = "Existing"; }
          : radio_button { key = lm2_r11; label = "Demolition"; }
          : radio_button { key = lm2_r12; label = "Base Sheet"; }
          : radio_button { key = lm2_r13; label = "Auxiliary"; }
        }
        : list_box { key = lm2_lb1; label = "Scale";
                     height = 6;
      } }

      ok_only;
}

LAYMGR3 : dialog { key = lm_ttl3; width = 55;    //..Building/Drawing Information

      : radio_row { key = lm3_rr1; label = "Major Group";
        : radio_column { key = lm3_rc1;
            : radio_button { key = lm3_rb1; label = "Architectural"; }
            : radio_button { key = lm3_rb2; label = "Structural"; }
            : radio_button { key = lm3_rb3; label = "Mechanical"; }
            : radio_button { key = lm3_rb4; label = "Plumbing"; }
        }
        : radio_column { key = lm3_rc2;
            : radio_button { key = lm3_rb5; label = "Fire Protection"; }
            : radio_button { key = lm3_rb6; label = "Electrical"; }
            : radio_button { key = lm3_rb7; label = "Civil Engineering & Site"; }
            : radio_button { key = lm3_rb8; label = "Landscape Architecture"; }
        }
      }

      : list_box { key = lm3_lb1; label = "Minor Group";
                   height = 5;
      }
      : list_box { key = lm3_lb2; label = "Modifier";
                   height = 5;
      }

      ok_only;
}

LAYMGR4 : dialog { key = lm_ttl4; width = 30;    //..Layers Off/On/Freeze/Thaw

      : row {
        : column {
          : boxed_column { label = "Major Group";
            : toggle { key = lm4_tg1; label = "Architectural"; }
            : toggle { key = lm4_tg2; label = "Structural"; }
            : toggle { key = lm4_tg3; label = "Mechanical"; }
            : toggle { key = lm4_tg4; label = "Plumbing"; }
            : toggle { key = lm4_tg5; label = "Fire Protection"; }
            : toggle { key = lm4_tg6; label = "Electrical"; }
            : toggle { key = lm4_tg7; label = "Civil Engineering & Site"; }
            : toggle { key = lm4_tg8; label = "Landscape Architecture"; }
          }
          : boxed_column { label = Construction;
            : toggle { key = lm4_tg9; label = "New"; }
            : toggle { key = lm4_t10; label = "Existing"; }
            : toggle { key = lm4_t11; label = "Demolition"; }
            : toggle { key = lm4_t12; label = "Base Sheet"; }
        } }

        : column {
          : boxed_column { label = Globals;
            : toggle { key = lm4_t13; label = "Thaw/On *"; }
            : toggle { key = lm4_t14; label = "Thaw/On 0"; }
            : toggle { key = lm4_t15; label = "  Set 0"; }
            : toggle { key = lm4_t16; label = "Freeze/Off *"; }
          }
          : list_box { key = lm4_lb1; label = "Floor";
                       height = 10;   multiple_select = true;
          }
      } }
      : button { key = lm4_bt1; label = "Minor Groups & Modifiers"; }

      ok_only;
}

LAYMGR5 : dialog { key = lm_ttl5; width = 30;    //..Change Construction

      : radio_column { key = lm5_rc1;
        : radio_button { key = lm5_rb1; label = "New"; }
        : radio_button { key = lm5_rb2; label = "Existing"; }
        : radio_button { key = lm5_rb3; label = "Demolition"; }
        : radio_button { key = lm5_rb4; label = "Base Sheet"; }
      }

      ok_only;
}

LAYMGR6 : dialog { key = lm_ttl6; width = 30;    //..Check Layers

      : row {
        : button { key = lm6_bt1; label = "Check"; }
        : button { key = lm6_bt2; label = "Setup";
                   is_enabled = false; }
      }

      ok_only;
}

LAYMGR7 : dialog { key = lm_ttl7; width = 30;    //..Rename Layers

      : row {
        : button { key = lm7_bt1; label = "Setup"; }
        : button { key = lm7_bt2; label = "Sort";
                   is_enabled = false; }
        : button { key = lm7_bt3; label = "Rename"; }
      }

      : boxed_column { label = "Layer List";
        : list_box { key = lm7_lb1; value = 0;
                     height = 10;   width = 40;
        }
        : text { key = lm7_tx1; }
        : edit_box { key = lm7_eb1; label = "";
                     is_enabled = false; }
      }

      errtile;
      ok_only;
}

LAYMGR8 : dialog { key = lm_ttl8; width = 30;    //..Save Layer Settings

      : edit_box { key = lm8_eb1; label = "Layer Group Name"; }
      errtile;
      : toggle { key = lm8_tg1; label = "Reverse Freeze/Thaw Status"; }
      : toggle { key = lm8_tg2; label = "Thaw/On New Layers"; }
      : slider { key = lm8_sl1; min_value = 0;
                                max_value = 99; }
      : text { key = lm8_tx1; }

      ok_only;
}

LAYMGR9 : dialog { key = lm_ttl9; width = 30;    //..Minor Groups/Modifiers

      : row {
        : list_box { key = lm9_lb1; label = "Minor Groups";
                     height = 10;   multiple_select = true;
        }
        : list_box { key = lm9_lb2; label = "Modifiers";
                     height = 10;   multiple_select = true;
      } }

      ok_only;
}

LAYMGRX : dialog { key = lm_ttlx; width = 55;
      : text { key = lmx_tx1; }
      : text { key = lmx_tx2; }
      : text { key = lmx_tx3; }
      : text { key = lmx_tx4; }
      : text { key = lmx_tx5; }
      spacer_1;
      : text { key = lmx_tx6; }
      : text { key = lmx_tx7; }
      : text { key = lmx_tx8; }
      : text { key = lmx_tx9; }
      : text { key = lmx_tx0;}
      spacer_1;
      ok_cancel;
}
